Skip to Content
Booking

Get booking catalog

Toegang

Lid van de organisatie met minstens één van deze rechten:

  • reservations:read
  • organization:settings:read
  • organization:settings:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

GET
/orgs/{organizationId}/booking/catalog

Accommodation types with their online-booking settings, rates, extras, promo codes and closures.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Response Body

OK

application/json
  1. response
accommodations*array<>
rates*array<>
extras*array<>
promoCodes*array<>
closures*array<>
Example Request
curl -X GET 'https://api.tillor.eu/orgs//booking/catalog'
Example Response
{  "accommodations": [    {      "id": "string",      "name": "string",      "color": "string",      "bookableOnline": true,      "publicDescription": "string",      "maxPersons": -9007199254740991,      "includedPersons": -9007199254740991,      "basePricePerNight": 0,      "pricePerAdultPerNight": 0,      "pricePerChildPerNight": 0,      "pricePerAnimalPerNight": 0,      "minNights": -9007199254740991,      "maxNights": -9007199254740991,      "taxPercentage": 0,      "imageUrls": [        "string"      ],      "amenities": [        "string"      ],      "sortOrder": -9007199254740991,      "unitCount": -9007199254740991    }  ],  "rates": [    {      "id": "string",      "terrainTypeId": "string",      "name": "string",      "validFrom": "string",      "validTo": "string",      "pricePerNight": 0,      "minNights": -9007199254740991,      "priority": -9007199254740991,      "arrivalDays": [        -9007199254740991      ]    }  ],  "extras": [    {      "id": "string",      "name": "string",      "description": "string",      "price": 0,      "unit": "PER_STAY",      "taxPercentage": 0,      "maxQuantity": -9007199254740991,      "enabled": true,      "sortOrder": -9007199254740991,      "choiceGroup": "string",      "terrainTypeIds": [        "string"      ]    }  ],  "promoCodes": [    {      "id": "string",      "code": "string",      "description": "string",      "percentage": 0,      "amount": 0,      "validFrom": "string",      "validTo": "string",      "stayFrom": "string",      "stayTo": "string",      "minNights": -9007199254740991,      "maxNights": -9007199254740991,      "checkInWeekdays": [        -9007199254740991      ],      "terrainTypeIds": [        "string"      ],      "maxUses": -9007199254740991,      "maxUsesPerCustomer": -9007199254740991,      "firstBookingOnly": true,      "appliesToExtras": true,      "appliesToTouristTax": true,      "uses": -9007199254740991,      "enabled": true    }  ],  "closures": [    {      "id": "string",      "terrainTypeId": "string",      "name": "string",      "startDate": "string",      "endDate": "string"    }  ]}